<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>登录页面</title>
    <!-- 引入 bootstrap 的 css 文件 -->
    <link rel="stylesheet" href="https://cdn.bootcdn.net/ajax/libs/twitter-bootstrap/4.3.0/css/bootstrap.min.css">
</head>
<body>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-6">
            <h1 class="text-center">Login Page</h1>
            <!-- 使用 bootstrap 的 card 类，来创建一个带有阴影的卡片 -->
            <div class="card shadow">
                <!-- 使用 CSS 的 background-color 属性，来设置卡片的背景颜色为米白色 -->
                <div class="card-body" style="background-color: #f5f5dc;">
                    <!-- 创建一个表单，用于提交用户名和密码 -->
                    <form id="form" action="login" method="post">
                        <div class="form-group">
                            <label for="username">Username</label>
                            <!-- 使用 bootstrap 的 form-control 类，使输入框看起来更美观 -->
                            <input type="text" id="username" name="username" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <label for="password">Password</label>
                            <!-- 使用 bootstrap 的 form-control 类，使输入框看起来更美观 -->
                            <input type="password" id="password" name="password" class="form-control" required>
                        </div>
                        <!-- 使用 bootstrap 的 row 和 col 类，来创建一个网格布局 -->
                        <div class="row">
                            <!-- 使用 col-5 类，来指定按钮占据 5 个网格单位 -->
                            <div class="col-5">
                                <button type="submit" class="btn btn-primary btn-block">Login</button>
                            </div>
                            <!-- 使用 offset-2 类，来指定按钮之间有 2 个网格单位的间距 -->
                            <div class="col-5 offset-2">
                                <a href="register.html" class="btn btn-secondary btn-block">Register</a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="_js/login.js"></script>
<!-- 引入 bootstrap 的 js 文件和依赖的 jquery 和 popper.js 文件 -->
<script src="https://cdn.bootcdn.net/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
<script src="https://cdn.bootcdn.net/ajax/libs/popper.js/1.6.0/popper.js"></script>
<script src="https://cdn.bootcdn.net/ajax/libs/twitter-bootstrap/4.3.0/js/bootstrap.min.js"></script>
</body>
</html>